SDL_MouseDeviceEvent(3type)

NAME
SDL_MouseDeviceEvent - Mouse device event structure (event.mdevice.*)

SYNOPSIS
#include <SDL3/SDL_events.h>

typedef struct SDL_MouseDeviceEvent
{
    SDL_EventType type; /**< SDL_EVENT_MOUSE_ADDED or SDL_EVENT_MOUSE_REMOVED */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    SDL_MouseID which;  /**< The mouse instance id */
} SDL_MouseDeviceEvent;

AVAILABILITY
This struct is available since SDL 3.2.0.